#-----------------------------------------------------------------------------
# Setup the system information test.  Write out some basic failsafe
# information in case the test doesn't run.
#-----------------------------------------------------------------------------

IF( NOT LIT_DISABLE_CXX_TESTING )

SET(TEST_DATA_ROOT ${LitmusTesting_SOURCE_DIR}/data)

SET(TEMP ${LitmusTesting_BINARY_DIR}/temporary)
SET(TESTS_DATA_ROOT "${Litmus_SOURCE_DIR}/testing")

INCLUDE_DIRECTORIES("${LitmusTesting_BINARY_DIR}")

#-----------------------------------------------------------------------------
# common Litmus
#-----------------------------------------------------------------------------
SET(COMMON_HEADER_TEST ${CXX_TEST_PATH}/test_litCommonHeader)

ADD_TEST(test_litCommonHeader ${COMMON_HEADER_TEST})
ADD_TEST(test_litTestLocation ${CXX_TEST_PATH}/test_litTestLocation)
ADD_TEST(test_litTestLabel ${CXX_TEST_PATH}/test_litTestLabel)
ADD_TEST(test_litStdCOutTestReporter ${CXX_TEST_PATH}/test_litStdCOutTestReporter)
ADD_TEST(test_litTestResults ${CXX_TEST_PATH}/test_litTestResults)
ADD_TEST(test_litTesterBase ${CXX_TEST_PATH}/test_litTesterBase)
ADD_TEST(test_litChecks ${CXX_TEST_PATH}/test_litChecks)
ADD_TEST(test_litCheckMacros ${CXX_TEST_PATH}/test_litCheckMacros)
ADD_TEST(test_litValueRecorder ${CXX_TEST_PATH}/test_litValueRecorder)
ADD_TEST(test_litTextFileTester ${CXX_TEST_PATH}/test_litTextFileTester ${TESTS_DATA_ROOT}/testdoc1.txt ${TESTS_DATA_ROOT}/testdoc2.txt)

ADD_EXECUTABLE(test_litCommonHeader litCommonHeaderTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litTestLocation litTestLocationTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litTestLabel litTestLabelTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litStdCOutTestReporter litStdCOutTestReporterTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litTestResults litTestResultsTest.cpp litTestTestReporter.h litTestTestReporter.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litTesterBase litTesterBaseTest.cpp litTesterMock.h litTesterMock.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litChecks litChecksTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litCheckMacros litCheckMacrosTest.cpp litTesterMock.h litTesterMock.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litValueRecorder litValueRecorderTest.cpp AddTests.cmake)
ADD_EXECUTABLE(test_litTextFileTester litTextFileTesterTest.cpp AddTests.cmake)

TARGET_LINK_LIBRARIES(test_litCommonHeader LitmusCommon)
TARGET_LINK_LIBRARIES(test_litTestLabel LitmusCommon)
TARGET_LINK_LIBRARIES(test_litTestLocation LitmusCommon)
TARGET_LINK_LIBRARIES(test_litStdCOutTestReporter LitmusCommon)
TARGET_LINK_LIBRARIES(test_litTestResults LitmusCommon)
TARGET_LINK_LIBRARIES(test_litTesterBase LitmusCommon)
TARGET_LINK_LIBRARIES(test_litChecks LitmusCommon)
TARGET_LINK_LIBRARIES(test_litCheckMacros LitmusCommon)
TARGET_LINK_LIBRARIES(test_litValueRecorder LitmusCommon)
TARGET_LINK_LIBRARIES(test_litTextFileTester LitmusCommon)

#-----------------------------------------------------------------------------
# ITK support of Litmus
#-----------------------------------------------------------------------------
IF (LIT_ITK_SUPPORT_ENABLED)
  SET(ITK_HEADER_TEST ${CXX_TEST_PATH}/test_litITKHeader)

  ADD_TEST(test_litITKHeader ${ITK_HEADER_TEST})

  ADD_EXECUTABLE(test_litITKHeader litITKHeaderTest.cpp)

  IF (LIT_ITK4_SUPPORT STREQUAL "ON")
    TARGET_LINK_LIBRARIES(test_litITKHeader LitmusCommon LitmusITK ${ITK_LIBRARIES})                    
  ELSE (LIT_ITK4_SUPPORT STREQUAL "ON")
    TARGET_LINK_LIBRARIES(test_litITKHeader LitmusCommon LitmusITK ITKCommon ITKIO)
  ENDIF (LIT_ITK4_SUPPORT STREQUAL "ON")

ENDIF (LIT_ITK_SUPPORT_ENABLED)


ENDIF( NOT LIT_DISABLE_CXX_TESTING )

